Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.tagger.maxent
Class ExtractorVerbalVBNZero

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.Extractor
          edu.stanford.nlp.tagger.maxent.ExtractorVerbalVBNZero

All Implemented Interfaces:
  Serializable

    public class ExtractorVerbalVBNZero

extends Extractor

Look for verbs selecting a VBN verb. This is now a zeroeth order observed data only feature. But reminiscent of what was done in Toutanova and Manning 2000. It doesn't seem to help tagging performance any more.

Author:
  Christopher Manning
See Also:
  Serialized Form

Constructor Summary
`ExtractorVerbalVBNZero(int bound)`

Method Summary
`boolean` | `precondition(String tag)` This evaluates any precondition for a feature being applicable based on a certain tag.
`String` | `toString()`

Methods inherited from class edu.stanford.nlp.tagger.maxent.Extractor
`isDynamic, isLocal, leftContext, rightContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtractorVerbalVBNZero

    public ExtractorVerbalVBNZero(int bound)

Method Detail

### precondition

    public boolean precondition(String tag)

  Description copied from class: `Extractor`
  This evaluates any precondition for a feature being applicable based on a certain tag. It returns true if the feature is applicable. By default an Extractor is applicable everywhere, but some subclasses limit application.

  Overrides:
    `precondition` in class `Extractor`
  Parameters:
    `tag` - The possible tag that the feature will be generated for
  Returns:
    Whether the feature extractor is applicable (true) or not (false)

### toString

    public String toString()

  Overrides:
    `toString` in class `Extractor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group